libstdc++

Classes | Namespaces
auto_ptr.h File Reference

Go to the source code of this file.

## Classes

class | std::auto_ptr< _Tp >
| A simple smart pointer providing strict ownership semantics. More...
struct | std::auto_ptr_ref< _Tp1 >

## Namespaces

namespace | std

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file auto_ptr.h.